<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Programamos</title>
    <script src="https://momentjs.com/downloads/moment-with-locales.min.js"></script>
</head>

<body>

    <label for="numero1">Numero 1:</label>
    <input type="text" id="numero1">
    <br><br>
    <label for="numero2">Numero 2:</label>
    <input type="text" id="numero2">
    <br><br>
    <button id="btn">Cual es mas grande?</button>

    <label for="fecha">fecha (YYYMMDD)</label>
    <input type="text" id="fecha" />

    <input type="date" name="fecha" id="f">

    <script>
        document.getElementById('btn').addEventListener('click', () => {
            var numero1 = parseInt(document.getElementById('numero1').value);
            var numero2 = parseInt(document.getElementById('numero2').value);

            console.log({ numero1, numero2 });

            if (numero1 === numero2) {
                console.log('Numero1 es igual a Numero2');
            } else if (numero1 > numero2) {
                console.log('Numero1 es mas grande');
            } else {
                console.log('Numero2 es mas grande');
            }


            var fecha = moment(document.getElementById('fecha').value);

            if (fecha.isBefore(moment())) {
                console.log('Licencia Vencida');
            }

            console.log(document.getElementById('f').value);

            var fecha2 = moment(document.getElementById('f').value);
            if (fecha2.isBefore(moment())) {
                console.log('Licencia Vencida2');
            }
        });

    </script>
</body>

</html>